Vagrant.configure(2) do |config|
	config.vm.box = "centos/7"
	config.vm.hostname = "app.dev.devops"
	config.vm.network "private_network", ip: "192.168.100.11"
	config.vm.provision "shell" do |shell|
		shell.path = "01-centos7-base-tools-install.sh"
	end
	
	config.vm.provision "shell" do |shell|
		shell.path = "02-git-install.sh"
	end
	
	config.vm.provision "shell" do |shell|
		shell.path = "03-docker-install.sh"
	end
	
	config.vm.provision "shell" do |shell|
		shell.path = "04-jenkin-install.sh"
	end
	
	config.vm.provision "shell" do |shell|
		shell.path = "05-maven-install.sh"
	end
	
	config.vm.provision "shell" do |shell|
		shell.path = "06-nexus-repo-oss-install.sh"
	end
	
	config.vm.provider "virtualbox" do |vb|
		vb.customize ['modifyvm', :id, '--cpus', 2]
		vb.customize ['modifyvm', :id, '--memory', 1024]
	end
	
end